apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: gitea-ingress
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod-issuer"
spec:
  tls:
    - hosts:
        - gitea.invuneon.ru
      secretName: tls-ingress-secret
  rules:
    - host: gitea.invuneon.ru
      http:
        paths:
          - backend:
              service:
                name: gitea-http
                port:
                  number: 3000
            pathType: Prefix
            path: /
